import { jsx } from "react/jsx-runtime";
import { TokenRDPX as TokenRDPX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenRDPX = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "RDPX", "data-name": "TokenRDPX", ...props, children: /* @__PURE__ */ jsx(TokenRDPX$1, { variant }) });
  }
);
TokenRDPX.displayName = "TokenRDPX";
Object.assign(TokenRDPX, { isGdsIcon: true });
export {
  TokenRDPX
};
